Subject: Re: [PATCH 5/5] lite5200b suspend: low-power mode

From: Domen Puncer <[email-masked]>
Date: Mon, 26 Mar 2007 15:23:09 +0200

On 22/03/07 08:41 +0100, Domen Puncer wrote:
> On 15/03/07 17:36 +0100, Domen Puncer wrote:
> > On 15/03/07 08:09 -0600, Grant Likely wrote:
> > > On 3/15/07, Domen Puncer <[email-masked]> wrote:
> > ...
> > > >+       /* map registers */
> > > >+       mbar = ioremap_nocache(0xf0000000, 0x8000);
> > > 
> > > Magic numbers?  Really?  This should be retrieved from the device
> > > tree.  There is always the possibility of mbar getting moved.
> > > 
> > ...
> > > >+       gpw = mbar + 0xc00;
> > > >+       bes = mbar + 0x1200;
> > > >+       xlb = mbar + 0x1f00;
> > > 
> > > Again, magic numbers
> > 
> > Well... the code is only applicable for Lite5200b/mpc5200
> > and numbers are from specs.
> > And it's shorter than mpc52xx_find_and_map() lines.
> > I guess I could rewrite it.
> 
> In asm code I need access to SDRAM controller registers (MBAR+0x100).
> Do I add an entry to dts, or do you have other suggestions?

And on efika, the same problem + there is no CDM nor (wakeup)
gpio's in device tree. What to do there?

	Domen